import request from '@/utils/request'

// 查询模型评价列表
export function listEvaluate(query) {
  return request({
    url: '/ai/evaluate/list',
    method: 'get',
    params: query
  })
}

// 查询模型评价详细
export function getEvaluate(id) {
  return request({
    url: '/ai/evaluate/' + id,
    method: 'get'
  })
}

// 新增模型评价
export function addEvaluate(data) {
  return request({
    url: '/ai/evaluate/add',
    method: 'post',
    data: data
  })
}

// 修改模型评价
export function updateEvaluate(data) {
  return request({
    url: '/ai/evaluate/edit',
    method: 'post',
    data: data
  })
}

// 删除模型评价
export function delEvaluate(id) {
  return request({
    url: '/ai/evaluate/delete/' + id,
    method: 'post'
  })
}
